<?xml version='1.0' encoding='utf-8'?>

<creole>

    <variables>

        <family name='GPO' icon='windows'>
            <variable name='activer_ad_ou' type='oui/non' description="Activer la création automatique d'une arborescence d'UO">
                 <value>non</value>
            </variable>
            
            <variable name='ad_ou_schedule' type='oui/non' description="Exécuter le traitement toutes les nuits">
                 <value>oui</value>
            </variable>
            <variable name='activer_ad_ou_classifier' type='oui/non' description="Activer le classement automatique des utilisateurs et ordinateurs vers l'arborescence d'UO">
                 <value>oui</value>
            </variable>
            <variable name='ad_ou_names' type='string' description="Unité d'organisation" multi='True' mandatory='True'/>
            <variable name='ad_ou_classifier' type="string"  description="Quels objets AD doivent être classé ?">
                 <value>aucun</value>
            </variable>
            <variable name='ad_ou_group' type='string' description="Critère de sélection des membres du groupe" />
            <variable name='ad_ou_pattern' type='string' description="Critère de sélection des nouveaux objets AD (regex)" />
        </family>

        <separators>
            <separator name='activer_ad_ou'>Unités d'Organisation</separator>
        </separators>
    </variables>

    <constraints>
       <group master='ad_ou_names'>
            <slave>ad_ou_classifier</slave>
            <slave>ad_ou_group</slave>
            <slave>ad_ou_pattern</slave>
        </group>
        
        <condition name='disabled_if_not_in' source='activer_ad_ou'>
            <param>oui</param>
            <target type='variable'>ad_ou_schedule</target>
            <target type='variable'>activer_ad_ou_classifier</target>
            <target type='variable'>ad_ou_names</target>
            <target type='variable'>ad_ou_classifier</target>
            <target type='variable'>ad_ou_group</target>
            <target type='variable'>ad_ou_pattern</target>
        </condition>
        
        <check name="valid_enum" target="ad_ou_classifier">
            <param>["aucun", "membreDe", "membreDeENT", "ordinateur", "ordinateur_par_classe" ]</param>
        </check>
        
    </constraints>

    <help>
        <variable name='activer_ad_ou'>Activer la création automatique d'une arborescence d'UO</variable>
        <variable name='activer_ad_ou_classifier'>Activer le classement automatique des utilisateurs et ordinateurs vers une arborescence d'UO</variable>
        <variable name='ad_ou_names'>Création automatique d'une arborescence d'UO</variable>
        <variable name='ad_ou_classifier'>Classement automatique des utilisateurs dans les UO"</variable>
        <variable name='ad_ou_pattern'>Critère de sélection des nouveaux objets AD (regex)"</variable>
    </help>
</creole>
<!-- vim: ts=4 sw=4 expandtab
-->

